# Digital Education Hub

## [DOCUMENTATION](/documentation) FILES ARE LOCATED IN `/documentation` FOLDER

## Annotation

> Tato práce se zabývá tvorbou digitální vzdělávací platformy. Cílem tohoto projektu je vytvořit aplikaci, která slouží jako prostředí pro vytváření webových učebnic. Webová aplikace je rozdělena na dvě prostředí: prostředí pro studenty a prostředí pro autora (administrátora). Prostředí pro studenty bude vybaveno množstvím chytrých funkcí, jako je zvýrazňování a podtrhávání textu, možnost psaní si poznámek přímo v aplikaci a další. Všechny provedené úpravy budou poté uloženy pro každého uživatele zvlášť. Prostředí pro administrátora bude umožňovat autorovi vytvářet a upravovat učebnice nebo také přizpůsobovat vzhled a fungování webové aplikaci podle svých potřeb. V neposlední řadě pak také vytvářet kvízy, testy nebo výukové kartičky. Zabýváme se také využitím umělé inteligence pro usnadnění práce autora. Aplikace by měla být uživatelsky přívětivá pro studenty i učitele.

> This thesis deals with the creation of a digital learning platform. The aim of this project is to create an application that serves as an environment for creating web-based textbooks. The web application is divided into two environments: the environment for students and the environment for the author (administrator). The environment for students will be equipped with a number of smart features such as highlighting and underlining text, the ability to take notes directly in the application, and more. All edits made will then be saved separately for each user. The admin environment will allow the author to create and edit textbooks or also customize the look and feel of the web application to suit their needs. Last but not least, the user can also create quizzes, tests or learning cards. We are also looking into the use of artificial intelligence to facilitate the author's work. The application should be user-friendly for students and teachers.

## Acknowledgements

> Jménem celého našeho týmu Ekdyson, bychom chtěli velmi poděkovat panu učiteli Mgr. Šimonu Hrozinkovi za námět, zpětnou vazbu a spolupráci při realizaci tohoto projektu. Také děkujeme za možnost využití jeho odborného obsahu pro prezentaci našeho systému.

> Poděkování patří také Daniele Pilkové za pomoc s dokumentací a dotazníkem.

> Velmi poděkovat bychom také chtěli Zuzaně Mockové (Gymnázium, Praha 5, Nad Kavalírkou 1), Samuelu Mockovi (Gymnázium, Jablonská 301/5, 907 01 Myjava), Tereze Novákové (Vyšší policejní a Střední policejní škola MV v Praze) a Evě Nejedlé (Gymnázium, Praha 5, Na Zatlance 11) za pomoc s rozšířením dotazníku mezi a různorodou skupinu studentů v ČR i SR.

## Technology

Essential technologies include...

-   HTML, JS, CSS, SCSS
-   Vue.JS, Vite
-   Node.JS
-   MongoDB
-   Google OAuth, Microsoft OAuth
-   DUCK, DTA, BFL

## Features

Essential features include...

-   browsing textbooks divided into chapters and articles
-   browsing articles
-   user editing of articles (highlighting, notes)
-   admin system, CMS
-   activities
-   text search throughout all textbooks and articles
