const deepl = require("deepl-node");
const options = { appInfo: { appName: "DEH", appVersion: "1.2.0" } };
const translator = new deepl.Translator(process.env.DEEPL_API_KEY, options);

async function translate(text, /**@type {String} */ lang) {
    if (lang.toLowerCase() === "en") lang = "en-gb";
    const result = await translator.translateText(text, null, lang, { tagHandling: "html" });
    return result.text;
}

module.exports = { translate };

// translate(
//     `<div data-v-6d0af9cb="" id="articleBodyContent"><p data-id="mce_0" style="text-align: justify;"><span style="vertical-align: inherit;"><span style="vertical-align: inherit;">První archea, která byla objevena, byla ve skutečnosti známá již dlouho, nicméně byla považována za „divné bakterie“. </span><span style="vertical-align: inherit;">Není se co divit. </span><span style="vertical-align: inherit;">V mikroskopu vypadají archea i bakterie stejně, mají zpravidla oválné či kulovité buňky. </span><span style="vertical-align: inherit;">Oba typy buněk vykazují prokaryotní členění. </span><span style="vertical-align: inherit;">A do 70. let 20. století neexistovala technika, jak od sebe tyto typy buněk odlišit. </span><span style="vertical-align: inherit;">Z toho důvodu se můžeme potkat s organizmem pojmenovaným </span></span><em data-id="mce_1"><span style="vertical-align: inherit;"><span style="vertical-align: inherit;">Halobacterium</span></span></em><span style="vertical-align: inherit;"><span style="vertical-align: inherit;"> , který se však řadí mezi archea.</span></span></p>
// <figure data-id="mce_2" class="image align-left"><img data-id="mce_3" src="/uploads/800px-Carl_Woese(0).jpg" alt="" width="215" height="273">
// <figcaption data-id="mce_4"><span style="vertical-align: inherit;"><span style="vertical-align: inherit;">Carl Woese na fotografii z roku 2004 ve věku 76 let.</span></span></figcaption>
// </figure>
// <p data-id="mce_5" style="text-align: justify;"><span style="vertical-align: inherit;"><span style="vertical-align: inherit;">První buňky, které byly identifikovány jako archea obývaly místa, o kterých si lidé mysleli, že tam nemůže nic žít. </span><span style="vertical-align: inherit;">Jednalo se o horká vřídla, nesmírně slanou vodu, prostředí s pH 0 atp. </span><span style="vertical-align: inherit;">Těmto „divným bakteriím“ se proto říkalo extrémofilní typy bakterií (bakterie milující extrémní prostředí).&nbsp;</span></span></p>
// <p data-id="mce_6" style="text-align: justify;"><span style="vertical-align: inherit;"><span style="vertical-align: inherit;">Teprve v sedmdesátých letech dvacátého století zásluhou </span></span><strong data-id="mce_7"><em data-id="mce_8"><span style="vertical-align: inherit;"><span style="vertical-align: inherit;">Carla Woese</span></span></em></strong><span style="vertical-align: inherit;"><span style="vertical-align: inherit;"> (1928 - 2012) byli tito </span></span><strong data-id="mce_9"><span style="vertical-align: inherit;"><span style="vertical-align: inherit;">extrémofilové</span></span></strong><span style="vertical-align: inherit;"><span style="vertical-align: inherit;"> identifikováni jako nová skupina organizmů. </span><span style="vertical-align: inherit;">Původně byla pojmenována archebakterie, ale aby Woese zdůraznil, že tato skupina nemá s bakteriemi mnoho společného, ​​zavedl raději pojmenování </span></span><strong data-id="mce_10"><span style="vertical-align: inherit;"><span style="vertical-align: inherit;">archea. </span></span></strong><span style="vertical-align: inherit;"><span style="vertical-align: inherit;">Jméno archea vybral Woese záměrně. </span><span style="vertical-align: inherit;">V řečtině archaia znamená starobylý. </span><span style="vertical-align: inherit;">Woese si totiž představoval, že první organizmy na Zemi byly právě archea. </span><span style="vertical-align: inherit;">Tehdy na Zemi panovaly skutečně extrémní podmínky, které by mohly extrémofilním archeím vyhovovat.</span></span></p>
// <p data-id="mce_11" style="text-align: justify;"><span style="vertical-align: inherit;"><span style="vertical-align: inherit;">Jak se později zdokonalily techniky sekvenování nukleových kyselin, zjistilo se, že archea můžeme najít i v naprosto normálním prostředí, včetně našeho vlastního trávicího traktu. </span><span style="vertical-align: inherit;">Otázka jak vypadal nejstarší organizmus je stále otevřená, nicméně archeím jméno zůstalo.</span></span></p></div>`,
//     "EN-US"
// ).then(console.log);
