const mongoose = require("mongoose");

// ------- INITIAL USERS ------- //

const USER_dev = {
    email: "ekdyson.help@gmail.com",
    name: "Ekdyson Help",
    role: "dev",
    globalNotes: new Map(),
    dta: [],
    activitiesHistory: [],
};

// ------- INITIAL ARTICLES ------- //

const ARTICLE_home = {
    _id: "634d8af01f5ed9a5b6669e00",
    slug: "/home",
    coverImgPath: "/defaults/defaultCover.png",
    allowUserEditor: false,
    translations: [
        {
            heading: "<h1>Domů</h1>",
            title: "Domů",
            content: `
                <div data-id="mce_0" id="page28_htmltext2" class="htmltext2_wp_outer">
                <h2 data-id="mce_1" style="text-align: center;"><span data-id="mce_2" style="font-size: clamp(1.1rem, 6vw, 2.5rem); background-color: var(--bg-quaternary); color: var(--font-color);">O projektu&nbsp;</span></h2>
                <p data-id="mce_3" style="text-align: center;">V&iacute;tejte na sr&aacute;nk&aacute;ch projektu Digit&aacute;ln&iacute;ho učebnicov&eacute;ho syst&eacute;mu, prostřed&iacute; kter&eacute; je pro vzděl&aacute;v&aacute;n&iacute; u&scaron;it&eacute; na m&iacute;ru. Tento projekt vznikal jako <a data-id="mce_4" href="https://www.soc.cz/" target="_blank" rel="noopener">SOČ</a> a jeho st&aacute;l&iacute; v&yacute;voj&aacute;ři a autoři jsou zm&iacute;něni n&iacute;že a v patičce str&aacute;nky. V současn&eacute; chv&iacute;li je dostupn&aacute; např&iacute;klad digit&aacute;ln&iacute; učebnice <a data-id="mce_5" href="https://biobrejn.cz" target="_blank" rel="noopener">Biologie buňky</a>, jejiž autorem je n&aacute;&scaron; obl&iacute;ben&yacute; učitel Mgr. &Scaron;imon Hrozinka, a kr&aacute;sn&eacute; původn&iacute; ilustrace, kter&eacute; vytvořil J&aacute;chym Kareis.</p>
                <p data-id="mce_6" style="text-align: center;">Cel&yacute; syst&eacute;m je st&aacute;le v procesu v&yacute;voje, a tak pokud m&aacute;te nějak&eacute; připom&iacute;kny nebo dotazy, nev&aacute;hete se na n&aacute;s obr&aacute;tit.</p>
                <h4 data-id="mce_7" style="text-align: center;">Chcete si syst&eacute;m vyzkou&scaron;et?</h4>
                <p data-id="mce_8" style="text-align: center;">Tvořit digit&aacute;ln&iacute; vzděl&aacute;vac&iacute; obsah je s n&aacute;mi snaž&scaron;&iacute; než si mysl&iacute;te. Nejsou k tomu protřeba ž&aacute;dn&eacute; složit&eacute; technick&eacute; znalosti ani velk&eacute; finančn&iacute; prostředky. On-line prostřed&iacute; je tou spr&aacute;vnou volbou pro v&scaron;echny. Pro studeny i autory obsahu. St&aacute;le nevěř&iacute;te? Zkuste si&nbsp;zcela <strong data-id="mce_10">zdarma</strong> vytvořit va&scaron;i <strong data-id="mce_11">vlastn&iacute; kopii syst&eacute;mu </strong>na <a href="https://ekdyson-dev.github.io/DEH-web/" target="_blank" rel="noopener">str&aacute;nce projektu</a>.</p>
                <p data-id="mce_8" style="text-align: center;"></p>
                <h5 style="text-align: center;">Kontakt</h5>
                <ul>
                <li>Martin Voplakal &lt;<a href="mailto:martin.voplakal@student.gyarab.cz" title="E-mail" target="_blank" rel="noopener">martin.voplakal@student.gyarab.cz</a>&gt;</li>
                <li>Petr Chalupa &lt;<a href="mailto:petr.chalupa@student.gyarab.cz" title="E-mail" target="_blank" rel="noopener">petr.chalupa@student.gyarab.cz</a>&gt;</li>
                <li>Filip Bene&scaron; &lt;<a href="mailto:filip.benes@student.gyarab.cz" title="E-mail" target="_blank" rel="noopener">filip.benes@student.gyarab.cz</a>&gt;</li>
                </ul>
                </div>
                `,
            summary: "",
            keyWords: ["DEH", "domů"],
        },
    ],
};

const ARTICLE_activities = {
    _id: "634d8af01f5ed9a5b6669e01",
    slug: "/activities",
    coverImgPath: "/defaults/defaultCover.png",
    allowUserEditor: false,
    translations: [
        {
            heading: "",
            title: "Aktivity",
            content: "",
            summary: "",
            keyWords: ["aktivity"],
        },
    ],
};

const TEXTBOOK_tutorial = {
    _id: "634d8af01f5ed9a5b6669e02",
    slug: "/tutorial",
    coverImgPath: "/defaults/defaultCover.png",
    allowUserEditor: false,
    translations: [
        {
            heading: "<h1>Tutoriál</h1>",
            title: "Tutoriál",
            content: `
                <h5 data-id="mce_0">V&iacute;tejte v na&scaron;em syst&eacute;mu, kde vytv&aacute;řen&iacute; a konzumace vzděl&aacute;vac&iacute;ho obsahu nikdy nebylo jednodu&scaron;&scaron;&iacute;. N&aacute;sleduj&iacute;c&iacute; kapitoly v&aacute;s provedou krok za krokem, abyste mohli plně využ&iacute;t v&scaron;ech dostupn&yacute;ch funkc&iacute;.</h5>
                <p data-id="mce_1"></p>
                <p data-id="mce_3"><a data-id="mce_4" href="/tb/tutorial/vytvoreni-ucebnice">Jak vytvořit učebnici?</a></p>
            `,
            summary: "",
            keyWords: ["tutoriál"],
        },
    ],
};

const ARTICLE_tutorial_1 = {
    _id: "634d8af01f5ed9a5b6669e03",
    slug: "/globalni-nastaveni",
    coverImgPath: "/defaults/defaultCover.png",
    allowUserEditor: false,
    translations: [
        {
            heading: "<h1>Globální nastavení</h1>",
            title: "Globální nastavení",
            content: `
                <p>Cel&yacute; syst&eacute;m zahrnuje jedno hlavn&iacute; "glob&aacute;ln&iacute;" nastaven&iacute;, kter&eacute; umožňuje přizpůsobit si syst&eacute;m podle va&scaron;ich potřeb.<br />Do tohoto nastaven&iacute; se dostane administr&aacute;tor pomoc&iacute; tlač&iacute;tka &ldquo;ozuben&eacute;ho kolečka&rdquo; v horn&iacute;m r&aacute;mečku</p>
                <h6><strong>Prostřed&iacute; nastaven&iacute; se děl&iacute; na tři hlavn&iacute; č&aacute;sti:</strong></h6>
                <ol>
                <li><strong>&ldquo;Obecn&eacute;&rdquo;</strong> - zde se nach&aacute;z&iacute; z&aacute;kladn&iacute; nastaven&iacute; webu. Např&iacute;klad:
                <ul>
                <li>N&aacute;zev webu (n&aacute;zev, kter&yacute; bude vidět v kartě webu)</li>
                <li>Kontakt (kontaktn&iacute; &uacute;daje, na kter&eacute; se budou odes&iacute;lat maily z kontaktn&iacute;ho formul&aacute;ře na hlavn&iacute; str&aacute;nce)</li>
                <li>Logo</li>
                <li>Favicon (men&scaron;&iacute; verze loga, kter&aacute; se zobrazuje v &nbsp;kartě webu vedle n&aacute;zvu)</li>
                <li>Barevn&eacute; sch&eacute;ma (paleta v&scaron;ech barev na webu)
                <ul>
                <li>Možnost si nastavit tř&iacute; hlavn&iacute;ch sch&eacute;mata barev, kter&eacute; pot&eacute; jedodu&scaron;e stř&iacute;dat</li>
                <li>Prvn&iacute; ř&aacute;dek znač&iacute; barvy ve světl&eacute;m režimu</li>
                <li>Druh&yacute; ř&aacute;dek znač&iacute; barvy ve tmav&eacute;m režimu</li>
                </ul>
                </li>
                <li>Spr&aacute;vci (katalog v&scaron;ech obr&aacute;zků na webu, v&scaron;ech čl&aacute;nků, učebnic a i aktivit)</li>
                <li>Patička (nastaven&iacute; patičky webu v editoru)
                <ul>
                <li>např&iacute;klad se zde p&iacute;&scaron;&iacute; autoři učebnice, popř&iacute;padě adresa &scaron;koly, odkud poch&aacute;z&iacute; učebnice</li>
                </ul>
                </li>
                </ul>
                </li>
                <li><strong>&ldquo;Uživatel&eacute;&rdquo;</strong> - v t&eacute;to č&aacute;sti nastaven&iacute; se nach&aacute;z&iacute; celkov&yacute; seznam uživatelů, kteř&iacute; se přihl&aacute;sili do syst&eacute;mu
                <ul>
                <li>Administr&aacute;tor m&aacute; tak&eacute; možnost nastavit role uživatelům, nebo je smazat</li>
                </ul>
                </li>
                <li><strong>&ldquo;Pokročil&eacute;&rdquo;</strong> - v t&eacute;to č&aacute;sti nastaven&iacute; se nach&aacute;z&iacute; z&aacute;lohy datab&aacute;ze webu. Možnost jejich obnoven&iacute;, nebo smaz&aacute;n&iacute;. Tak&eacute; četnost, jak často se m&aacute; syst&eacute;m z&aacute;lohovat</li>
                </ol>
            `,
            summary: "",
            keyWords: ["globální", "nastavení"],
        },
    ],
};

const ARTICLE_tutorial_2 = {
    _id: "634d8af01f5ed9a5b6669e04",
    slug: "/vytvoreni-ucebnice",
    coverImgPath: "/defaults/defaultCover.png",
    allowUserEditor: false,
    translations: [
        {
            heading: "<h1>Vytvoření učebnice</h1>",
            title: "Vytvoření učebnice",
            content: `
                <h5>Vytvořen&iacute; učebnice pomoc&iacute; hlavn&iacute;ho menu:</h5>
                <ul>
                <li>V postrann&iacute;m panelu klikněte na ikonu "Menu editor - hlavn&iacute; menu".</li>
                <li>Pot&eacute; klikněte na tlač&iacute;tko "Přidat učebnici".</li>
                <li>Zobraz&iacute; se V&aacute;m dialogov&eacute; okno, kde je na v&yacute;běr vytvořit novou učebnici, nebo vybrat už st&aacute;vaj&iacute;c&iacute; učebnici a přidat ji do hlavn&iacute;ho menu.</li>
                <li>Chceme vytvořit novou učebnici, takže klikneme na tlač&iacute;tko "vytvořit".</li>
                <li>Otevře se okno, kam se zadaj&iacute; z&aacute;kladn&iacute; informace o učebnici. Vypln&iacute;te n&aacute;zev učebnice a slug (č&aacute;st URL adresy pod kterou lze učebnici naj&iacute;t).
                <ul>
                <li><em>Pro zjednodu&scaron;en&iacute; použijte přednastaven&eacute; Slugy.</em></li>
                </ul>
                </li>
                <li>Pot&eacute; už jen kliknete na tlač&iacute;tko uložit a dostanete se zpět do "Menu editoru - hlavn&iacute;ho menu".</li>
                <li>Zde už jen kliknete na tlač&iacute;tko uložit a učebnice je vytvořena.</li>
                </ul>
                <h5>Vytvořen&iacute; učebnice pomoc&iacute; spr&aacute;vce v&scaron;ech učebnic:</h5>
                <ul>
                <li>V postrann&iacute;m panelu klikněte na ikonu "Spr&aacute;vce v&scaron;ech učebnic"
                <ul>
                <li><em>Do spr&aacute;vce v&scaron;ech učebnic je možn&eacute; se dostat i přes "Glob&aacute;ln&iacute; nastaven&iacute;"</em></li>
                </ul>
                </li>
                <li>Pot&eacute; klikněte na tlač&iacute;tko "Vytvořit učebnici"</li>
                <li>Zobraz&iacute; se V&aacute;m dialogov&eacute; okno, kam se zadaj&iacute; z&aacute;kladn&iacute; informace o učebnici. Vypln&iacute;te n&aacute;zev učebnice a slug (č&aacute;st URL adresy pod kterou lze učebnici naj&iacute;t)
                <ul>
                <li><em>Pro zjednodu&scaron;en&iacute; použijte přednastaven&eacute; Slugy</em></li>
                </ul>
                </li>
                <li>Pot&eacute; už jen kliknete na tlač&iacute;tko uložit a dostanete se zpět do "Spr&aacute;vce v&scaron;ech čl&aacute;nků", kde nově vytvořenou učebnici vid&iacute;te</li>
                <li>Zde můžete přej&iacute;t do učebnici pomoc&iacute; tlač&iacute;tka "Upravit", nebo jednodu&scaron;e zavř&iacute;t okno pomoc&iacute; tlač&iacute;tka "zavř&iacute;t".</li>
                </ul>
            `,
            summary: "",
            keyWords: ["vytvoření", "učebnice"],
        },
    ],
};

const ARTICLE_tutorial_3 = {
    _id: "634d8af01f5ed9a5b6669e05",
    slug: "/uprava-ucebnice",
    coverImgPath: "/defaults/defaultCover.png",
    allowUserEditor: false,
    translations: [
        {
            heading: "<h1>Úprava učebnice</h1>",
            title: "Úprava učebnice",
            content: `
                <ol>
                <li>
                <p><strong>Přid&aacute;n&iacute; sekc&iacute; a čl&aacute;nků</strong></p>
                <ul>
                <li>Do učebnice lze vkl&aacute;dat sekce a čl&aacute;nky pomoc&iacute; tlač&iacute;tka v postrann&iacute;m panelu &ldquo;Menu editoru - učebnice&rdquo;</li>
                <li>Po kliknut&iacute; na již zmiňovan&eacute; tlač&iacute;tko se objev&iacute; okno, ve kter&eacute;m lze upravovat již vytvořen&eacute; sekce a čl&aacute;nky a to např&iacute;klad:</li>
                <li>Měnit jejich pořad&iacute; pomoc&iacute; &scaron;ipek</li>
                <li>Odstranit již nechtěn&eacute; čl&aacute;nky a sekce</li>
                <li>Přejmenovat sekce potažmo čl&aacute;nky</li>
                <li>Nebo lze v tomto okně přid&aacute;vat čl&aacute;nky i sekce a to velmi intuitivně pomoc&iacute; tlač&iacute;tka &ldquo;přidat čl&aacute;nek nebo &ldquo;přidat sekci&rdquo;</li>
                <li>Po kliknut&iacute; na &ldquo;přidat sekci&rdquo; se automaticky přid&aacute; do menu sekce a pak s n&iacute; lze pracovat jako s jinou již vytvořenou sekc&iacute;.</li>
                <li>Po kliknut&iacute; na tlač&iacute;tko &ldquo;přidat čl&aacute;nek&rdquo;, m&aacute; uživatel možnost přidat již vytvořen&yacute; čl&aacute;nek ze spr&aacute;vce čl&aacute;nků, nebo vytvořit &uacute;plně nov&yacute; pr&aacute;zdn&yacute; čl&aacute;nek</li>
                </ul>
                </li>
                <li>
                <p><strong>Postrann&iacute; panel k čl&aacute;nku&nbsp;</strong></p>
                <ul>
                <li>Po vysunut&iacute; prav&eacute;ho postrann&iacute;ho panelu se otevře editor aktu&aacute;ln&iacute;ho čl&aacute;nku, Administr&aacute;tor m&aacute; možnost:</li>
                <li>Upravit titulek a Slug (Tyto informace se zad&aacute;vaj&iacute; při vytv&aacute;řen&iacute; čl&aacute;nku)</li>
                <li>Zapnout nebo vypnout uživatelsk&yacute; editor (Uživatel neboli student m&aacute; možnost vytvořit si vlastn&iacute; pozn&aacute;mky nebo podtrh&aacute;vat do dan&eacute;ho čl&aacute;nku)</li>
                <li>Změnit Cover obr&aacute;zek, tedy obr&aacute;zek kter&yacute; je pod nadpisem. Je možnost ho buď nahr&aacute;t z poč&iacute;tače a nebo vybrat už nahran&yacute; z datab&aacute;ze</li>
                <li>Vytvořit kl&iacute;čov&aacute; slova, podle kter&yacute;ch se bude čl&aacute;nek vyhled&aacute;vat na internetu</li>
                <li>Přidat k dan&eacute;mu čl&aacute;nku aktivity</li>
                <li>Je možn&eacute; si pomoc&iacute; uměl&eacute; inteligence nechat vygenerovat na konec čl&aacute;nku shrnut&iacute; cel&eacute;ho čl&aacute;nku.</li>
                <li>Je možnost pomoc&iacute; extern&iacute; knihovny &ldquo;deepl&rdquo; (uměl&aacute; inteligence, kter&aacute; dok&aacute;že s velkou přesnost&iacute; přeložit texty) si nechat přeložit cel&yacute; čl&aacute;nek do vybran&eacute;ho jazyka.</li>
                <li>Je důležit&eacute; po každ&eacute; změně čl&aacute;nek <strong>uložit!</strong></li>
                </ul>
                </li>
                <li>
                <p><strong>Editor čl&aacute;nku</strong></p>
                </li>
                </ol>
                <ul>
                <li style="list-style-type: none;">
                <ul>
                <li>Editor čl&aacute;nku, je velmi podobn&yacute; tomu, kter&yacute; se nach&aacute;z&iacute; např&iacute;klad ve wordu. Tedy běžn&yacute; uživatel poč&iacute;tače nebude m&iacute;t s psan&iacute;m čl&aacute;nků probl&eacute;m</li>
                <li>K editaci mus&iacute; b&yacute;t autor čl&aacute;nků přihl&aacute;&scaron;en pod sv&yacute;m emailem a pot&eacute; už stač&iacute; kliknout do oblasti čl&aacute;nku, a editor se zobraz&iacute; automaticky</li>
                <li>Na v&yacute;běr je z několika možnost&iacute; stylov&aacute;n&iacute; textu, např&iacute;klad:<br />&nbsp;velikost textu
                <ul>
                <li>tučn&eacute; p&iacute;smo</li>
                <li>kurz&iacute;va</li>
                <li>podtrhnut&iacute;,</li>
                <li>pře&scaron;krtnut&iacute;</li>
                <li>barva za textem i barva textu</li>
                <li>vytvořen&iacute; seznamu, č&iacute;slovan&eacute;ho i neč&iacute;slovan&eacute;ho</li>
                <li>zarovn&aacute;n&iacute; textu</li>
                <li>atd&hellip;</li>
                </ul>
                </li>
                <li>V editoru je i možnost vkl&aacute;d&aacute;n&iacute; extern&iacute;ho obsahu, např&iacute;klad:
                <ul>
                <li>obr&aacute;zky (z galerie, z poč&iacute;tače, atd&hellip;)</li>
                <li>videa</li>
                <li>tabulky</li>
                <li>&ldquo;summary&rdquo; (vložen&iacute; podrobnost&iacute; k textu, kter&eacute; si může uživatel na pož&aacute;d&aacute;n&iacute; otevř&iacute;t a zavř&iacute;t)</li>
                </ul>
                </li>
                </ul>
                </li>
                </ul>
            `,
            summary: "",
            keyWords: ["úprava", "učebnice"],
        },
    ],
};

const ARTICLE_tutorial_4 = {
    _id: "634d8af01f5ed9a5b6669e06",
    slug: "/aktivity",
    coverImgPath: "/defaults/defaultCover.png",
    allowUserEditor: false,
    translations: [
        {
            heading: "<h1>Aktivity</h1>",
            title: "Aktivity",
            content: `
                <ol>
                <li><strong>Vytvořen&iacute; aktivity</strong>
                <ul>
                <li>Aktivitu je možn&eacute; vytvořit dvěma způsoby, buď pomoc&iacute; spr&aacute;vce aktivit, nebo př&iacute;mo na str&aacute;nce aktivity.</li>
                <li>Po kliknut&iacute; na tlač&iacute;tka vytvořit aktivitu se otevře &ldquo;Tvůrce aktivty&rdquo;. Zde se mus&iacute; zadat několik dat
                <ul>
                <li>Typ (existuj&iacute; tři možnosti, jak&aacute; aktivita to bude. Buď Quiz, Test, Kartičky)
                <ul>
                <li>Quiz je klasick&aacute; aktivita s ot&aacute;zkami a odpověďmi</li>
                <li>Test je stejn&yacute; jako quiz, ale je hodnocen&yacute;</li>
                <li>Kartičky jsou oproti quizu a testu velmi odli&scaron;n&eacute; a to t&iacute;m, že funguj&iacute; na principu procvičov&aacute;n&iacute; pojmů, slov&iacute;ček z ciz&iacute;ho jazyka, pozn&aacute;vaček. Tedy kartička m&aacute; dvě strany a např&iacute;klad na jedn&eacute; se nach&aacute;z&iacute; pojem a na druh&eacute; vysvětlen&iacute; pojmu</li>
                </ul>
                </li>
                <li>Titulek (n&aacute;zev aktivity, kter&yacute; ji vystihuje)</li>
                <li>Popisek (Podrobněj&scaron;&iacute; popis aktivity)</li>
                <li>Slug (konec url adresy, pod kter&yacute;m se aktivita najde) 
                <ul>
                <li><em>je doporučeno použ&iacute;vat již doporučen&yacute; titulek</em></li>
                </ul>
                </li>
                </ul>
                </li>
                </ul>
                </li>
                <li><strong>Postrann&iacute; panel k aktivitě</strong>
                <ul>
                <li>Prvn&iacute; č&aacute;st postrann&iacute;ho panelu se nijak neli&scaron;&iacute; od ostatn&iacute;ch č&aacute;st&iacute; postrann&iacute;ho panelu. Ale ve spodn&iacute; č&aacute;sti se nach&aacute;z&iacute; několik nov&yacute;ch nastaven&iacute;, jako např&iacute;klad:
                <ul>
                <li>Možnost &uacute;pravy n&aacute;zvu aktivity</li>
                <li>Možnost &uacute;pravy popisu aktivity</li>
                <li>Možnost &uacute;pravy slugu aktivity</li>
                <li>Pot&eacute; je zde možnost přidat ot&aacute;zku, ty se děl&iacute; na tři druhy:
                <ol>
                <li>V&yacute;běr - ot&aacute;zka, kter&aacute; m&aacute; jednu spr&aacute;vnou odpověď</li>
                <li>V&iacute;cen&aacute;sobn&yacute; v&yacute;běr - jak už z n&aacute;zvu napov&iacute;d&aacute;, zde je to ot&aacute;zka s možnost&iacute; v&iacute;ce spr&aacute;vn&yacute;mi odpověďmi</li>
                <li>Popis obr&aacute;zku - tento typ ot&aacute;zky lze využ&iacute;t předev&scaron;&iacute;m pro popis obr&aacute;zku, jde o přiřazov&aacute;n&iacute; pojmů k č&iacute;slům (př&iacute;klad: budeme m&iacute;t obr&aacute;zek člověka, na kter&eacute;m je několik &scaron;ipek, kter&eacute; jsou oč&iacute;slov&aacute;ny a uživatel k č&iacute;slům bude přetahovat pojmy, co kter&eacute; znamenaj&iacute;)</li>
                </ol>
                </li>
                <li>Nakonec se zde nach&aacute;z&iacute; možnost smaz&aacute;n&iacute; dan&eacute; ot&aacute;zky</li>
                </ul>
                </li>
                </ul>
                </li>
                <li><strong style="font-weight: bold;">Editor aktivity</strong>
                <ul>
                <li>Editor aktivity funguje tak, že je vždy na obrazovce uk&aacute;zan&aacute; pouze jedna ot&aacute;zka, ta lze upravovat a mezi ostatn&iacute;mi ot&aacute;zkami je možn&eacute; překlik&aacute;vat pomoc&iacute; tlač&iacute;tek &ldquo;předchoz&iacute;&rdquo; a &ldquo;dal&scaron;&iacute;&rdquo;.</li>
                <li>Editov&aacute;n&iacute; ot&aacute;zky s jednou a v&iacute;ce spr&aacute;vn&yacute;ch odpověd&iacute; je velice podobn&eacute;. Tvůrce aktivity nap&iacute;&scaron;e do kolonky &ldquo;ot&aacute;zka&rdquo; ot&aacute;zku a pot&eacute; klikne na tlač&iacute;tko přidat odpověď.</li>
                <li>Automaticky se přid&aacute; jedna odpověď a ta lze za&scaron;krtnout, jako spr&aacute;vn&aacute; odpověď a tak&eacute; je možn&eacute; do n&iacute; napsat odpověď</li>
                <li>Ke každ&eacute; ot&aacute;zce je tak&eacute; možnost přidat obr&aacute;zek pomoc&iacute; tlač&iacute;tka &ldquo;nahr&aacute;t obr&aacute;zek&rdquo;</li>
                <li>V editoru ot&aacute;zky je tak&eacute; možnost za&scaron;krtnut&iacute; m&iacute;ch&aacute;n&iacute; odpověd&iacute;. Tedy pokažd&eacute; budou odpovědi jinak zpřeh&aacute;zen&eacute;, aby bylo těž&scaron;&iacute; opisov&aacute;n&iacute; a zapamatov&aacute;n&iacute; odpověd&iacute; nazpaměť.</li>
                </ul>
                </li>
                </ol>
            `,
            summary: "",
            keyWords: ["aktivity"],
        },
    ],
};

// ------- INITIAL MENUS ------- //

const MENU_main = {
    menuName: "main",
    items: [
        { articleId: new mongoose.Types.ObjectId(ARTICLE_home._id), type: "a" },
        { articleId: new mongoose.Types.ObjectId(ARTICLE_activities._id), type: "a" },
        {
            title: "Učebnice",
            type: "n",
            children: [{ articleId: new mongoose.Types.ObjectId(TEXTBOOK_tutorial._id), type: "tb" }],
        },
    ],
};

const MENU_tutorial = {
    menuName: "tutorial",
    items: [
        { articleId: new mongoose.Types.ObjectId(ARTICLE_tutorial_1._id), type: "a" },
        { articleId: new mongoose.Types.ObjectId(ARTICLE_tutorial_2._id), type: "a" },
        { articleId: new mongoose.Types.ObjectId(ARTICLE_tutorial_3._id), type: "a" },
        { articleId: new mongoose.Types.ObjectId(ARTICLE_tutorial_4._id), type: "a" },
    ],
};

// ------- INITIAL ACTIVITIES ------- //

const ACTIVITY_test = {
    type: "test",
    title: "Testovací TEST",
    description: "Popis",
    expiration: null,
    slug: "/test",
    questions: [
        {
            type: "multiple_select",
            text: "OTÁZKA 2",
            img: "",
            shuffleAnswers: false,
            answers: [
                { text: "ODPOVĚĎ 1", correct: false },
                { text: "ODPOVĚĎ 2", correct: true },
                { text: "ODPOVĚĎ 3", correct: true },
            ],
        },
        {
            type: "select",
            text: "OTÁZKA 1",
            img: "",
            shuffleAnswers: false,
            answers: [
                { text: "ODPOVĚĎ 1", correct: true },
                { text: "ODPOVĚĎ 2", correct: false },
            ],
        },
        {
            type: "img_description",
            text: "OTÁZKA 3",
            img: "/defaults/defaultCover.png",
            shuffleAnswers: true,
            answers: [
                { text: "ODPOVĚĎ 1", number: 1 },
                { text: "ODPOVĚĎ 2", number: 2 },
                { text: "ODPOVĚĎ 3", number: 3 },
            ],
        },
    ],
};

const ACTIVITY_quiz = {
    type: "quiz",
    title: "Demonstrační kvíz - Matematika",
    description: "Tento kvíz je automaticky vygenerován",
    expiration: null,
    slug: "/demonstracni-kviz-matematika",
    questions: [
        {
            answers: [
                { text: "1", correct: false },
                { text: "3", correct: false },
                { text: "2", correct: true },
                { text: "0", correct: false },
            ],
            text: "Kolik je 1 + 1?",
            img: "",
            shuffleAnswers: false,
            type: "select",
        },
        {
            answers: [
                { text: "1", correct: true },
                { text: "3", correct: true },
                { text: "5", correct: false },
                { text: "6", correct: true },
                { text: "2", correct: true },
            ],
            text: "Jaké všechny dělitele má číslo 6?",
            img: "",
            shuffleAnswers: false,
            type: "multiple_select",
        },
        {
            answers: [
                { text: "4", correct: true },
                { text: "3", correct: false },
                { text: "5", correct: false },
                { text: "6", correct: false },
            ],
            text: "Bohdan koupil 12 jablek. Třetinu ze všech jablek dal babičce, polovinu z druhé třetiny svému bratrovi a nakonec musel dát 3 jablka strýci. Kolik jablek má teď?",
            img: "",
            shuffleAnswers: true,
            type: "select",
        },
        {
            answers: [
                { text: "1", number: 1 },
                { text: "10", number: 2 },
                { text: "12", number: 3 },
                { text: "11", number: 4 },
            ],
            text: "K příkladům přiřaď správnou odpověď:",
            img: "/defaults/defaultCover.png",
            shuffleAnswers: false,
            type: "img_description",
        },
    ],
};

const ACTIVITY_flashcards = {
    type: "flashcards",
    title: "Testovací KARTIČKY",
    description: "Popis",
    expiration: null,
    slug: "/flashcards",
    cards: [
        {
            sides: [
                { text: "Strana 1", img: "" },
                { text: "Strana 2", img: "/defaults/defaultCover.png" },
            ],
            firstVisible: 0,
        },
        {
            sides: [
                { text: "Strana 1", img: "" },
                { text: "Strana 2", img: "" },
            ],
            firstVisible: 1,
        },
    ],
};

module.exports = {
    users: [USER_dev],
    articles: [ARTICLE_home, ARTICLE_activities, TEXTBOOK_tutorial, ARTICLE_tutorial_1, ARTICLE_tutorial_2, ARTICLE_tutorial_3, ARTICLE_tutorial_4],
    menus: [MENU_main, MENU_tutorial],
    activities: [ACTIVITY_test, ACTIVITY_quiz, ACTIVITY_flashcards],
};
