# exit on error
set -e

# build frontend and build docker image with given name as agrument
if [[ $# -eq 0 ]] ; then
    echo 'missing argument. You have to specify image name!'
    exit 1
fi
# check if frontend .env.local file exist
if [ -f "./frontend/.env.local" ]; then
	echo "config file successfully found"
else
    echo "file ./frontend/.env.local does not exist"
    exit 1
fi

if [[ -z $2 || $2 != skip ]]; then
	echo "building Vue..."
	sudo docker run -it --rm -v $PWD:/myApp node:18-alpine sh -c "cd myApp/frontend && npm i && npm run build"
else 
	echo "skip Vue build..."
fi

# check if there is node with mongo base image. It speed up build process
if [[ "$(sudo docker images -q node-mongo 2> /dev/null)" == "" ]]; then
 # build this custom image
	echo "Building base image wiht mongo-tools..."
	sudo docker build -t node-mongo docker-base-img
fi

#cp data/public/assets/css/app.css backend/builder/templates/app.css
#cp data/public/index.html backend/builder/templates/index.html

sudo docker build -t $1 .
