import { createApp } from "vue";
import App from "./App.vue";
//
import router from "./router.js";
import store from "./store.js";
import { createMetaManager, defaultConfig } from "vue-meta";
import { i18n as translation } from "./translation.js";
import { setBFL } from "blind-friendly-library/src/lib/index.js";

createApp(App)
    .use(router)
    .use(store)
    .use(translation)
    .use(
        createMetaManager(false, {
            ...defaultConfig,
            meta: { tag: "meta", nameless: true },
        })
    )
    .mount("#app");

setBFL(1, 1, 1.2, "cs");
