#!/bin/bash

set -e

if [[ -z $1 || -z $2 ]] ; then
    echo 'missing argument. You have to specify image name and mount folder name.'
    exit 1
fi


read -r -p "Are you sure to rewrite the database belonging to this container? [y/N] " response
if [[ "$response" =~ ^([yY][eE][sS]|[yY])$ ]]
then
    echo "Running container with load fixtures params..."
else
    exit 0
fi



mount_dir=$(pwd)/mounts/$2

echo "node server.js loadfixtres" | sudo docker run --rm -v "$mount_dir:/app/data" --network mongo-network -i --entrypoint sh $1
